ubuntuone-syncdaemon crashed with ImportError: No module named twisted.internet

Bug #399937 reported by delvalle26 on 2009-07-15
This bug affects 198 people
Affects Status Importance Assigned to Milestone
ubuntuone-client (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: ubuntuone-client

Happened when a nautilus window just closed...

ProblemType: Crash
Architecture: i386
Date: Wed Jul 15 13:12:57 2009
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/lib/ubuntuone-client/ubuntuone-syncdaemon
InterpreterPath: /usr/bin/python2.6
Package: ubuntuone-client 0.90.3-0ubuntu1
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/lib/ubuntuone-client/ubuntuone-syncdaemon
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-2.17-generic
PythonArgs: ['/usr/lib/ubuntuone-client/ubuntuone-syncdaemon']
SourcePackage: ubuntuone-client
Title: ubuntuone-syncdaemon crashed with ImportError in <module>()
Traceback:
 Traceback (most recent call last):
   File "/usr/lib/ubuntuone-client/ubuntuone-syncdaemon", line 21, in <module>
     from twisted.internet import glib2reactor
 ImportError: No module named twisted.internet
UbuntuoneClientPackages:
 ubuntuone-client 0.90.3-0ubuntu1
 ubuntuone-storage-protocol N/A
 ubuntuone-ppa N/A
Uname: Linux 2.6.31-2-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

delvalle26 (bassaf) wrote :
tags: removed: need-duplicate-check
visibility: private → public
dobey (dobey) wrote :

Can you paste the output of "dpkg -l|grep twisted" please? Thanks.

I'm not the original filer, but apport looked at my stack trace and apparently I've got an identical problem:

ii python-twisted 8.2.0-2 Event-based framework for internet applications (transitional pa
ii python-twisted-bin 8.2.0-2 Event-based framework for internet applications
ii python-twisted-conch 1:8.2.0-2 The Twisted SSH Implementation
ii python-twisted-core 8.2.0-2 Event-based framework for internet applications
ii python-twisted-lore 8.2.0-1 Documentation generator with HTML and LaTeX support
ii python-twisted-mail 8.2.0-2 An SMTP, IMAP and POP protocol implementation
ii python-twisted-names 8.2.0-1 A DNS protocol implementation with client and server
ii python-twisted-news 8.2.0-2 An NNTP protocol implementation with client and server
ii python-twisted-runner 8.2.0-1 Process management, including an inetd server
ii python-twisted-web 8.2.0-2 An HTTP protocol implementation together with clients and server
ii python-twisted-words 8.2.0-2 Chat and Instant Messaging

Actually, wait a sec - I think mine was importing UbuntuOne when it crashed, not twisted...

Yep:
 Traceback (most recent call last):
   File "/usr/lib/ubuntuone-client/ubuntuone-syncdaemon", line 32, in <module>
     from ubuntuone.syncdaemon import logger
 ImportError: No module named ubuntuone.syncdaemon
Uname: Linux 2.6.31-3-generic i686

Sorry Rodney

but i lost my HD, last day

hugs

edu

2009/7/24 Rodney Dawes <email address hidden>

> Can you paste the output of "dpkg -l|grep twisted" please? Thanks.
>
> --
> ubuntuone-syncdaemon crashed with ImportError in <module>()
> https://bugs.launchpad.net/bugs/399937
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “ubuntuone-client” package in Ubuntu: New
>
> Bug description:
> Binary package hint: ubuntuone-client
>
> Happened when a nautilus window just closed...
>
> ProblemType: Crash
> Architecture: i386
> Date: Wed Jul 15 13:12:57 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/lib/ubuntuone-client/ubuntuone-syncdaemon
> InterpreterPath: /usr/bin/python2.6
> Package: ubuntuone-client 0.90.3-0ubuntu1
> PackageArchitecture: all
> ProcCmdline: /usr/bin/python /usr/lib/ubuntuone-client/ubuntuone-syncdaemon
> ProcEnviron:
> SHELL=/bin/bash
> PATH=(custom, user)
> LANG=en_US.UTF-8
> ProcVersionSignature: Ubuntu 2.6.31-2.17-generic
> PythonArgs: ['/usr/lib/ubuntuone-client/ubuntuone-syncdaemon']
> SourcePackage: ubuntuone-client
> Title: ubuntuone-syncdaemon crashed with ImportError in <module>()
> Traceback:
> Traceback (most recent call last):
> File "/usr/lib/ubuntuone-client/ubuntuone-syncdaemon", line 21, in
> <module>
> from twisted.internet import glib2reactor
> ImportError: No module named twisted.internet
> UbuntuoneClientPackages:
> ubuntuone-client 0.90.3-0ubuntu1
> ubuntuone-storage-protocol N/A
> ubuntuone-ppa N/A
> Uname: Linux 2.6.31-2-generic i686
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
>

--
http://eduengler.blogspot.com/

"Além da nobre arte de conseguir fazer as coisas, existe a nobre arte de
deixar as coisas por fazer. A sabedoria da vida consiste na eliminação do
que não é essencial".
Lin Yutang

dobey (dobey) on 2009-07-31
Changed in ubuntuone-client (Ubuntu):
status: New → Incomplete

It is impossible to start a connection to the Ubuntuone Server, if you push the connect button in nautilus.

Chad Miller (cmiller) wrote :

"""ImportError: No module named twisted.internet"""

ubuntuone-client depends on python-ubuntuone-client,
which depends on python-twisted-web,
which depends on python-twisted-core,
which provides twisted.internet Python package.

"""ImportError: No module named ubuntuone.syncdaemon"""

ubuntuone-client depends on python-ubuntuone-client,
which provides ubuntuone.syncdaemon Python package.

There is no packaging problem, at least. We need more information.

Changed in ubuntuone-client (Ubuntu):
status: Incomplete → Fix Committed
assignee: nobody → Bongcaivang (bongcaivang)
Roman Yepishev (rye) on 2010-02-20
Changed in ubuntuone-client (Ubuntu):
status: Fix Committed → Incomplete
assignee: Bongcaivang (bongcaivang) → nobody
VoaNerges (gotham48) wrote :

I have the same problem just installed lucid lynx. Error occures when ubuntuone trying to connect to server without being authorized.

Michael Uvarov (freeakk) wrote :

I don't use ubuntuone, but this error occures after upgrage system to 10.04

Sudhir Khanger (sudhirkhanger) wrote :

I am using Maverick image dated June 24 on a usb stick. As soon as i login Ubuntuone crashes.

Nicolas DERIVE (kalon33) wrote :

Occurs with latest ubuntuone app, doing nothing particularly linked with ubuntuone, under Lucid.

Changed in ubuntuone-client (Ubuntu):
status: Incomplete → New
archimonde (archimonde2001) wrote :

ubuntuone-syncdaemon crashed with ImportError in <module>()

Per Moller (per-moller) wrote :

Happened first time upon the latest update

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 25/08/2010 14:33, Per Moller wrote:
> Happened first time upon the latest update

not that arrives at each starting of the PC
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJMdV5PAAoJENEuCILME2XQFsgIAJMep5rMYaDYdiKaJJDIFVTO
L4UVXoSQIPqoWJmEo2SPraI3cnIIwwofWqFrmUxTSbBdcWgFHStcwCKfWuMGOcc1
Xc88cGF1z4IsHGjDcOpencF4d0Ak4goFVBS00dcwpc7xgfsjYJWTaBH8gjYhH7lK
8/KrO5FfWHpxVfLy3Ar9IJ3H9ql+i2v+IrPJoDnN7uiqmRENoHFFrweb/E/LMhI3
+u39upZ5cEeCrrcDn/wtSrVouKm83DjL4N36bRaBP4Q9rHqykaGCHiHzx/dueMqQ
hFOuBkeJx/O+y5hh0V4KklqlYe837ZPqNVyAp3NCm5gT3f9QGhV7AsDm2CLJBGA=
=68lP
-----END PGP SIGNATURE-----

Robert Avant (robertj-avant) wrote :

I was only using Firefox!

Tony Mugan (tmugan) wrote :

Got it on 10.10 today

Roy Jamison (xteejx) wrote :

Affects maverick beta 1.

Changed in ubuntuone-client (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
tags: added: bugpattern-needed

dpkg -l|grep twisted

sudo dpkg -l|grep twisted
[sudo] password for o0splitpaw0o:
ii python-twisted-bin 10.1.0-2 Event-based framework for internet applications
ii python-twisted-core 10.1.0-2 Event-based framework for internet applications
ii python-twisted-names 10.1.0-1 A DNS protocol implementation with client and server
ii python-twisted-web 10.1.0-1 An HTTP protocol implementation together with clients and servers
o0splitpaw0o@bradys-touchsmart:~$

Was launching kubuntu 10.10 beta installed ubuntu one client. launched it.. this occured

Hi Brady, :-)

It was when I launched the Ubuntu One client under Gnome on the 10.10 beta...

HTH and thanks, :-)

On Wed, Sep 8, 2010 at 20:28, Brady Merriweather
<email address hidden> wrote:
> Was launching kubuntu 10.10 beta installed ubuntu one client. launched
> it.. this occured
>
> --
> ubuntuone-syncdaemon crashed with ImportError in <module>()
> https://bugs.launchpad.net/bugs/399937
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (629488).
>
> Status in “ubuntuone-client” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: ubuntuone-client
>
> Happened when a nautilus window just closed...
>
> ProblemType: Crash
> Architecture: i386
> Date: Wed Jul 15 13:12:57 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/lib/ubuntuone-client/ubuntuone-syncdaemon
> InterpreterPath: /usr/bin/python2.6
> Package: ubuntuone-client 0.90.3-0ubuntu1
> PackageArchitecture: all
> ProcCmdline: /usr/bin/python /usr/lib/ubuntuone-client/ubuntuone-syncdaemon
> ProcEnviron:
>  SHELL=/bin/bash
>  PATH=(custom, user)
>  LANG=en_US.UTF-8
> ProcVersionSignature: Ubuntu 2.6.31-2.17-generic
> PythonArgs: ['/usr/lib/ubuntuone-client/ubuntuone-syncdaemon']
> SourcePackage: ubuntuone-client
> Title: ubuntuone-syncdaemon crashed with ImportError in <module>()
> Traceback:
>  Traceback (most recent call last):
>   File "/usr/lib/ubuntuone-client/ubuntuone-syncdaemon", line 21, in <module>
>     from twisted.internet import glib2reactor
>  ImportError: No module named twisted.internet
> UbuntuoneClientPackages:
>  ubuntuone-client 0.90.3-0ubuntu1
>  ubuntuone-storage-protocol N/A
>  ubuntuone-ppa N/A
> Uname: Linux 2.6.31-2-generic i686
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/ubuntuone-client/+bug/399937/+subscribe
>

Matt Zimmerman (mdz) on 2010-11-25
summary: - ubuntuone-syncdaemon crashed with ImportError in <module>()
+ ubuntuone-syncdaemon crashed with ImportError: No module named
+ twisted.internet
tags: removed: bugpattern-needed
tags: added: bugpattern-written
To post a comment you must log in.